# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Step

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.analytics.Step

All Implemented Interfaces:
  Extension

    public class Step

extends ExtensionPoint

Single step in a multistep goal.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Step()` Default mutable constructor.
`Step(java.lang.String name, java.lang.Integer number, java.lang.String path)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `getName()` Returns the step's name.
`java.lang.Integer` `getNumber()` Returns the step's number in sequence.
`java.lang.String` `getPath()` Returns the step's path.
`int` `hashCode()`
`boolean` `hasName()` Returns whether it has the step's name.
`boolean` `hasNumber()` Returns whether it has the step's number in sequence.
`boolean` `hasPath()` Returns whether it has the step's path.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setName(java.lang.String name)` Sets the step's name.
`void` `setNumber(java.lang.Integer number)` Sets the step's number in sequence.
`void` `setPath(java.lang.String path)` Sets the step's path.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Step

    public Step()

  Default mutable constructor.

### Step

    public Step(java.lang.String name,
                java.lang.Integer number,
                java.lang.String path)

  Immutable constructor.

  Parameters:
    `name` - step's name.
    `number` - step's number in sequence.
    `path` - step's path.

Method Detail

### getName

    public java.lang.String getName()

  Returns the step's name.

  Returns:
    step's name

### setName

    public void setName(java.lang.String name)

  Sets the step's name.

  Parameters:
    `name` - step's name or `null` to reset

### hasName

    public boolean hasName()

  Returns whether it has the step's name.

  Returns:
    whether it has the step's name

### getNumber

    public java.lang.Integer getNumber()

  Returns the step's number in sequence.

  Returns:
    step's number in sequence

### setNumber

    public void setNumber(java.lang.Integer number)

  Sets the step's number in sequence.

  Parameters:
    `number` - step's number in sequence or `null` to reset

### hasNumber

    public boolean hasNumber()

  Returns whether it has the step's number in sequence.

  Returns:
    whether it has the step's number in sequence

### getPath

    public java.lang.String getPath()

  Returns the step's path.

  Returns:
    step's path

### setPath

    public void setPath(java.lang.String path)

  Sets the step's path.

  Parameters:
    `path` - step's path or `null` to reset

### hasPath

    public boolean hasPath()

  Returns whether it has the step's path.

  Returns:
    whether it has the step's path

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`